Subject: Re: [PATCH 0/9] netconsole: stop charging every netpoll user for netconsole-only state

From: Jakub Kicinski <[email-masked]>
Date: Wed, 27 May 2026 15:59:42 -0700

On Wed, 27 May 2026 06:22:02 -0700 Breno Leitao wrote:
> I was reading Linus' Linux 7.1-rc5 email[1], and I am wondering if these
> type of "fixes" should go to net or are you planning to change it to net-next.
> 
> """
>    These things are "fixes", sure, but at the same time a lot of them
>    are simply so irrelevant that I think they'd be better off in
>    a linux-next tree and get merged during the merge window.
> """ --linus

Ack, we started pondering cases which are obviously not-net-worthy
but still WIP and also hard to say if all of the fixes you'll write 
would fall under it. So just prepare for net with Fixes tags and we'll
route the patches accordingly.

(some kind of "can't be triggered by an unprivileged user" would seem
like an obvious delineation but "can't be" implies we explore all the
possible options of triggering, maybe Mythos can think of something we
can't, and (b) "unprivileged" is not as strong as we'd like if we
have to assume that people are crazy enough to allow user netns :/)